package layouts

// |@@| C

import (
	"gardening/src/lib/kit"
	"gitlab.com/ccyrillee/kitcla/goc"
)

type EmptyLayout struct {
	Kit    *kit.Kit
	Layout *Layout
}

func (this *EmptyLayout) H(body goc.HTML) goc.HTML {
	mod := &LayoutMod{}
	return this.Kit.Component.H("html", goc.Attr{"lang": "en"},
		this.Layout.head(mod),
		body,
	)
}
